## -------- lesson1/makefile -------- ##

# host-specific paths      ## modify these per your installation
XDCROOT = e:/rtsc/xdc_3_10_00_09
CGTOOLS = d:/ti/c6000/alc

# build tools
CONFIGURO = $(XDCROOT)/xs xdc.tools.configuro
CC = $(CGTOOLS)/bin/cl6x -q

# build parameters
CONFIG = cfgsite
TARGET = ti.targets.C64
PLATFORM = ti.platforms.load6x
PROGNAME = prog

# all-rule
all : $(PROGNAME).out


# config-rule
$(CONFIG)/linker.cmd $(CONFIG)/compiler.opt : $(PROGNAME).cfg
	$(CONFIGURO) -c $(CGTOOLS) -t $(TARGET) -p $(PLATFORM) -o $(CONFIG) $(PROGNAME).cfg

# compile-rule
$(PROGNAME).obj : $(PROGNAME).c $(CONFIG)/compiler.opt
	$(CC) -@$(CONFIG)/compiler.opt -c $(PROGNAME).c

# link-rule
$(PROGNAME).out : $(PROGNAME).obj $(CONFIG)/linker.cmd
	$(CC) -z -c $^ -o $(PROGNAME).out -l $(CGTOOLS)/lib/rts6400.lib


# test-rule
test : $(PROGNAME).out
	$(CGTOOLS)/bin/load6x -q $(PROGNAME).out

# clean-rule    
clean :
	$(XDCROOT)/bin/rm -rf $(CONFIG) *.obj *.out
